org.jenkinsci.constant_pool_scanner

## Class ClassConstant

- java.lang.Object
- - org.jenkinsci.constant_pool_scanner.ClassConstant

    public final class ClassConstant
    extends Object

Constant that refers to a class name.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`ClassConstant()`

### Method Summary

Methods
`String` `get()` Gets the actual class name.
`Utf8Constant` `getUTF8()` UTF-8 constant that holds the class' internal name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassConstant

    public ClassConstant()

### Method Detail

#### getUTF8

    public Utf8Constant getUTF8()

UTF-8 constant that holds the class' internal name.

#### get

    public String get()

Gets the actual class name.